Skip to main content
GET
/
v1
/
connections
List Connections
curl --request GET \
  --url https://api.waycore.com/v1/connections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "entityId": "<string>",
      "institutionId": "<string>",
      "status": "draft",
      "syncStatus": "idle",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "kind": "ready",
      "portalUrl": "<string>",
      "institutionName": "<string>",
      "lastSyncedAt": "2023-11-07T05:31:56Z",
      "errorCode": "<string>",
      "errorMessage": "<string>",
      "metadata": {}
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Opaque API key passed as Authorization: Bearer <key>. Keys are organization-bound, environment-bound (live or test), scope-carrying, and expiring. Create and manage keys via the console.

Query Parameters

cursor
string | null

Pagination cursor from a previous response.

limit
integer
default:100

Maximum number of items to return.

Required range: 1 <= x <= 500
status
enum<string> | null

Filter by connection status.

Available options:
draft,
pendingActivation,
active,
reauthRequired,
errored,
paused,
revoked
institutionId
string | null

Filter by institution identifier.

entityId
string<uuid> | null

Filter by entity identifier.

Response

Successful Response

data
(ActiveConnection · object | PendingConnection · object)[]
required
pagination
Pagination · object
required
meta
Meta · object
required